<?
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("mysql.php");
include_once("include/antixak.php");
include_once("include/golova.php");
include_once("include/check2.php");
include 'include/ini.php';
$key=rand(1000000,9999999);
$nick=$_POST[nick];
$pass=$_POST[pass];
$topas=$_POST[topas];
$pol=$_POST[pol];
$email=$_POST[email];
require_once "include/flood.php";
if (CheckIP ()){echo"<b>Вы не можете часто регистрироваться. Повторите через 10 секунд.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}
if(empty($nick)){echo"<b>Не введен логин.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}
if(empty($pass)){echo"<b>Не введен пароль.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php';  exit;}
if(eregi("[^a-z0-9-]+@[^а-я0-9-]",$nick)){echo"<b>Логин содержит запрещенные символы.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php';  exit;}
if(eregi("[^a-z0-9-]",$pass)){echo"<b>Пароль содержит запрещенние символы.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php';  exit;}




if($pass!==$topas){echo"<b>Пароли не совпадают.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php';  exit;}
if($kod!==$reff){echo"<b>Код не совпадает.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}

$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));

$reg = @file("MySql/base123/reg/$nick.dat");
$del = explode(":||:",$reg[0]);

$zan=strcasecmp($del[0], $nick);
if($zan=="0"){echo'Этот ник занят, придумайте себе другой.<br/>';
include_once"include/nogi.php";
exit;}
if($sog==sog1){echo"<b>Для регистрации нужно согласится с правилами игры.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}
if($rassa==gnom){
if($klas==wizard){
echo"<b>Гномы не могут быть магами.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}}
if($rassa==kamael){
if($klas==wizard){
echo"<b>Камаэль не могут быть магами.</b><br/>
<small><b><a href=\"reg.php\">Вернутса к регистрации</a></b></small><br/>"; include 'include/nogi.php'; exit;}}

if(empty($nick) || empty($pass) || empty($pol) || empty($email)) {echo'<small>Данные необходимые для регистрации введены некоректно!</small><br/>';

echo'<a href="reg.php">Назад</a><br/>';
include_once"include/nogi.php";
exit;}

if (!eregi("^[a-z0-9\._-]+@[a-z0-9\._-]+\.[a-z]{2,4}\$", $email)){echo'Введенный вами e-mail неверен! Он должен выглядить так - name@server.ru<br>';
echo'<a href="reg.php">Назад</a><br/>';
include_once"include/nogi.php";
exit;}

if (@file("MySql/base123/reg/$nick.dat")) {print"Такой логин уже есть у нас в системе!<br/><a href=\"reg.php\"><br/>";}else {
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);



$nick = htmlspecialchars(stripslashes($nick));

$nick=str_replace("GM","", $nick);
$nick=str_replace("gm","", $nick);

$email=htmlspecialchars(stripslashes($email));
$email=strtolower($email);




$password = md5($pass);

if($rassa=="human"){$gorod="Talking Island Village"; $all="50"; }
if($rassa=="gnom"){$gorod="Dwarven Village"; $all="100"; }
if($rassa=="elf"){$gorod="Elven Village";  $all="60";  }
if($rassa=="darkelf"){$gorod="Dark Elven Village";  $all="75";  }
if($rassa=="ork"){$gorod="Orc Village";  $all="100";  }
if($rassa=="kamael"){$gorod="Kamael Village";  $all="100";  }
if($klas=="wizard"){$mp="150"; $cp="75";}
if($klas=="fighert"){$mp="50"; $cp="100";}

$text=$nick.':||:'.$password.':||:'.$pol.':||:5:||:5:||:5:||:0:||:0:||:0:||:0:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:1:||:'.$all.':||:'.$all.':||:'.$email.':||:0:||:'.$gorod.':||::||:1:||::||::||::||:'.$rassa.':||:'.$klas.':||:'.$data.' '.$time.':||:'.$mp.':||:'.$mp.':||:0:||::||::||:0:||::||::||:Shadow of the Monster Tree:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:'.$cp.':||:'.$cp.':||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:style:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:Пусто:||:0:||:Пусто:||:5:||:0:||:';


$fp=fopen("MySql/base123/reg/$_POST[nick].dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/reg/$nick.dat", 0666);
$message="Добро пожаловать в мир Линейки.Если у вас возникнут какието вопросы по игре администрация, игри с радостью вам поможет розобраться!Убедительная прозьба непереходите не по какием ссылкам если вам кто-то будет писать в почту,если хотите сохранить своего персонажа от взлома.Желаем вам приятной игры!";

$message=base64_encode($message);

$pozdr=":::[Cистема]|".$message."|".$data;

$fp=fopen("MySql/base123/msg/$nick.msg","w");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/msg/$nick.msg", 0666);

$text = @file("MySql/base123/newlog.dat");
$new = explode(":||:",$text[0]);
$new[0]=$new[0]+1;
$text=$new[0].':||:';
$fp=fopen("MySql/base123/newlog.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/newlog.dat", 0666);
$vesh="50:||:1500:||:weapon:||:0:||:sword:||:";
$vesh2="50:||:1000:||:body:||:0:||:Body:||:";
$vesh3="50:||:1000:||:4it:||:0:||:Shield:||:";

$fp=fopen("MySql/base123/item/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$vesh\r\n$vesh2\r\n$vesh3\r\n$vesh4\r\n$vesh5\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/item/$nick.dat", 0666);


if($klas=="wizard"){
$mag="10||5||100||active||combat||||Магия для новичков||Shot||newmags||mag||";}
if($klas=="fighert"){
$mag="10||5||100000||active||combat||||Супер удар для новичков||Shot||newudar||fighert||";}
$fp=fopen("MySql/base123/mag/$nick.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$mag\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/mag/$nick.dat", 0666);

print"<small><b><font color=#FF0000>Поздравляем! Вы успешно зарегистрированы в игре Линейка<br/> Ваш ник: ".$nick." <br/>Ваш пароль:".$pass."</b></font><br/>";
echo"<small><font color=#FF0000>Для входа в игру Авторизуйтесь</b></font><br/><br/>";
echo"<a href=\"index.php?$sd\">Авторизоватся</a><br/>";
}
include_once"include/down.php";

?>